Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.path
Class Path

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.path.Path

Direct Known Subclasses:
  AxisPath, MixedPath

    public abstract class Path

extends Expr

Path expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`Expr` | `root` Top expression.

Constructor Summary
`Path(Expr r)` Constructor.

Method Summary
`java.lang.String` | `color()` Returns a string description of the expression.
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`Expr` | `remove(Var v)` Removes the specified variable in a sub expression.
`java.lang.String` | `toString(Expr[] step)` Returns a string representation.

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, iter, removable, returned, sameAs, size, test, uses`

Methods inherited from class org.basex.query.ExprInfo
`info, name, plan, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### root

    public Expr root

  Top expression.

Constructor Detail

### Path

    public Path(Expr r)

  Constructor.

  Parameters:
    `r` - root expression; can be null

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Specified by:
    `comp` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### remove

    public Expr remove(Var v)

  Description copied from class: `Expr`
  Removes the specified variable in a sub expression.

  Overrides:
    `remove` in class `Expr`
  Parameters:
    `v` - variable to be removed
  Returns:
    expression with removed variable

### color

    public final java.lang.String color()

  Description copied from class: `ExprInfo`
  Returns a string description of the expression. Contrary to the `ExprInfo.toString()` method, the current expressions aren't included in the output.

  Overrides:
    `color` in class `ExprInfo`
  Returns:
    result of check

### toString

    public java.lang.String toString(Expr[] step)

  Returns a string representation.

  Parameters:
    `step` - step array
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD